| API Documentation |  |

- MAIN PAGE
- NAMESPACES
- CLASSES

Static Public Member Functions | List of all members
nkAstraeus::nkGraphicsWrap::VertexComponentWrapper Class Referencefinal

Wraps a nkGraphics::VertexComponent and offers functions for use in scripting. More...

## Static Public Member Functions
static void | updateEnvironment (nkScripts::Environment *env)
static nkScripts::OutputValue | getPosition (void *data)
static void | setPosition (const nkScripts::DataStack &stack)
static nkScripts::OutputValue | getNormal (void *data)
static void | setNormal (const nkScripts::DataStack &stack)
static nkScripts::OutputValue | getColor (void *data)
static void | setColor (const nkScripts::DataStack &stack)

## Detailed Description

Wraps a nkGraphics::VertexComponent and offers functions for use in scripting.

## Member Function Documentation

## ◆ updateEnvironment()

static void nkAstraeus::nkGraphicsWrap::VertexComponentWrapper::updateEnvironment | ( | nkScripts::Environment * | env | ) |
| static

Updates a given environment and set it up to use all functions wrapped by this wrapper.

Parameters

  env | The environment to set up.

## ◆ getPosition()

static nkScripts::OutputValue nkAstraeus::nkGraphicsWrap::VertexComponentWrapper::getPosition | ( | void * | data | ) |
| static

Wrapper function for nkGraphics::VertexComponent::_position, exposed as an attribute getter.

local p = m.position ;

Parameters

  data | The data from which the attribute will be retrieved.

Returns
  The attribute value, as a nkGraphics::Vector.

## ◆ setPosition()

static void nkAstraeus::nkGraphicsWrap::VertexComponentWrapper::setPosition | ( | const nkScripts::DataStack & | stack | ) |
| static

Wrapper function for nkGraphics::VertexComponent::_position, exposed as an attribute setter.

m.position = p ;

Parameters

  stack | The parameter stack.

Returns
  The attribute value, empty.

## ◆ getNormal()

static nkScripts::OutputValue nkAstraeus::nkGraphicsWrap::VertexComponentWrapper::getNormal | ( | void * | data | ) |
| static

Wrapper function for nkGraphics::VertexComponent::_normal, exposed as an attribute getter.

local n = m.normal ;

Parameters

  data | The data from which the attribute will be retrieved.

Returns
  The attribute value, as a nkGraphics::Vector.

## ◆ setNormal()

static void nkAstraeus::nkGraphicsWrap::VertexComponentWrapper::setNormal | ( | const nkScripts::DataStack & | stack | ) |
| static

Wrapper function for nkGraphics::VertexComponent::_normal, exposed as an attribute setter.

m.normal = n ;

Parameters

  stack | The parameter stack.

Returns
  The attribute value, empty.

## ◆ getColor()

static nkScripts::OutputValue nkAstraeus::nkGraphicsWrap::VertexComponentWrapper::getColor | ( | void * | data | ) |
| static

Wrapper function for nkGraphics::VertexComponent::_color, exposed as an attribute getter.

local c = m.color ;

Parameters

  data | The data from which the attribute will be retrieved.

Returns
  The attribute value, as a nkGraphics::Vector.

## ◆ setColor()

static void nkAstraeus::nkGraphicsWrap::VertexComponentWrapper::setColor | ( | const nkScripts::DataStack & | stack | ) |
| static

Wrapper function for nkGraphics::VertexComponent::_color, exposed as an attribute setter.

m.color = c ;

Parameters

  stack | The parameter stack.

Returns
  The attribute value, empty.

The documentation for this class was generated from the following file:

- Documentation/Headers/NilkinsAstraeus/Scripts/nkGraphicsWrap/Meshes/VertexComponentWrapper.h